<html lan xmlns="http://www.w3.org/1999/html">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    </head>
    <body>
        <table cellpadding="0" cellspacing="0" border="10">
            <tr>
                <td style="text-align: center;" colspan="3">GRUPO ESPIRITA CRISTÃO "A CAMINHO DA LUZ"</td>
            </tr>
            <tr>
                <td style="text-align: center;" colspan="3"><?php echo "Balancete Financeiro do mês de {$this->noMes} de {$this->nuAno}";?></td>
            </tr>
            <tr>
            </tr>
            <tr>
                <td width="70%">H I S T Ó R I C O</td>
                <td>no Mês</td>
                <td>no Ano</td>
            </tr>
        <?php
        $total = count($this->dadosBalancete);
        $contador = 0;
        $crtHistorico = null;
        $sadoConta = $this->saldo->saldoConta[0];
        $sadoContas = $this->saldo->saldoConta[1];
        $saldoFinalAno = $this->saldo->saldoCaixaMes['slTotal'] + $sadoConta['saldo_mes'] + $sadoContas['saldo_mes'];
        if($total){
            while($contador < $total){
                $tpHistorico = $this->dadosBalancete[$contador]['id_tipo_historico'];
                //loop tipo histórico
                while(array_key_exists($contador, $this->dadosBalancete) &&
                    $this->dadosBalancete[$contador]['id_tipo_historico'] == $tpHistorico){
                    if($tpHistorico != $crtHistorico){
                        $crtHistorico = $tpHistorico;
                        switch($this->dadosBalancete[$contador]['id_tipo_historico']){
                            case \Application\Entity\TipoHistorico::TP_ENTRADA:
                                $valAnoEntrada = $this->total->vlReceita['ano'] + $this->saldo->saldoBancosAnoAnterior;
                                $valMesEntrada = $this->total->vlReceita['mes'] + $this->saldo->saldoBancosMesAnterior;
                                $valAnoEntrada = $this->FormatarValorBalancete()->formatar($valAnoEntrada);
                                $valMesEntrada = $this->FormatarValorBalancete()->formatar($valMesEntrada);
                                break;
                            case \Application\Entity\TipoHistorico::TP_SALDO:
                                $valAnoEntrada = $this->saldo->saldoBancosAnoAnterior;
                                $valMesEntrada = $this->saldo->saldoBancosMesAnterior;
                                $valAnoEntrada = $this->FormatarValorBalancete()->formatar($valAnoEntrada);
                                $valMesEntrada = $this->FormatarValorBalancete()->formatar($valMesEntrada);
                                break;
                            case \Application\Entity\TipoHistorico::TP_SAIDAS:
                                $valAnoEntrada = $this->FormatarValorBalancete()
                                    ->formatar($saldoFinalAno + $this->total->vlInvestimento['ano'] + $this->total->vlDespesa['ano']);
                                $valMesEntrada = $this->FormatarValorBalancete()
                                    ->formatar($saldoFinalAno + $this->total->vlInvestimento['mes'] + $this->total->vlDespesa['mes']);
                                break;
                            case \Application\Entity\TipoHistorico::TP_SALDO_FINAL:
                                $valAnoEntrada = $this->FormatarValorBalancete()->formatar($saldoFinalAno);
                                $valMesEntrada = $this->FormatarValorBalancete()->formatar($saldoFinalAno);
                                break;
                            default:
                                $valAnoEntrada = 0;
                                $valMesEntrada = 0;
                                break;
                        }
                        echo "
                        <tr>
                            <td>{$this->dadosBalancete[$contador]['no_tipo_historico']}</td>
                            <td>{$valMesEntrada}</td>
                            <td>{$valAnoEntrada}</td>
                        </tr>
                        ";
                    }
                    echo "
                        <tr>
                            <td>&nbsp;&nbsp;{$this->dadosBalancete[$contador]['no_tipo_lancamento']}</td>";
                    switch($this->dadosBalancete[$contador]['id_tipo_lancamento']){
                        case \Application\Entity\TipoLancamento::TP_RECEITA:
                            $valMesTipo = $this->total->vlReceita['mes'];
                            $valAnoTipo = $this->total->vlReceita['ano'];
                            break;
                        case \Application\Entity\TipoLancamento::TP_BANCOS:
                            $valAnoTipo = null;
                            $valMesTipo = null;
                            break;
                        case \Application\Entity\TipoLancamento::TP_DESPESA:
                            $valAnoTipo = $this->total->vlDespesa['ano'];
                            $valMesTipo = $this->total->vlDespesa['mes'];
                            break;
                        case \Application\Entity\TipoLancamento::TP_INVESTIMENTO:
                            $valAnoTipo = $this->total->vlInvestimento['ano'];
                            $valMesTipo = $this->total->vlInvestimento['mes'];
                            break;
                    }
                    $valMesTipo = $this->FormatarValorBalancete()->formatar($valMesTipo);
                    $valAnoTipo = $this->FormatarValorBalancete()->formatar($valAnoTipo);
                    echo "
                            <td>{$valMesTipo}</td>
                            <td>{$valAnoTipo}</td>
                            </tr>";
                    $tpLancamento = $this->dadosBalancete[$contador]['id_tipo_lancamento'];
                    //loop tipo lançamento
                    $tpConta = 0;
                    while(array_key_exists($contador, $this->dadosBalancete) &&
                        $this->dadosBalancete[$contador]['id_tipo_lancamento'] == $tpLancamento){
                        $tpDescLancamento = $this->dadosBalancete[$contador]['id_desc_lancamento'];
                        if($tpLancamento ==\Application\Entity\TipoLancamento::TP_BANCOS && $tpDescLancamento != \Application\Entity\DescricaoLancamento::ID_DESC_CAIXA) {
                            $valNuAno = $this->saldo->saldoConta[$tpConta]['nu_saldo'];
                            $valNuMes = $this->saldo->saldoConta['saldoMesAnterior'][$tpConta]['nu_saldo'];
                            $tpConta = 1;
                        }elseif ($tpLancamento ==\Application\Entity\TipoLancamento::TP_BANCOS && $tpDescLancamento == \Application\Entity\DescricaoLancamento::ID_DESC_CAIXA){
                            $valNuAno = $this->saldo->saldoCaixaAno['slTotal'];
                            $valNuMes = $this->saldo->saldoCaixaMes['slTotal'];
                        }elseif ($tpLancamento ==\Application\Entity\TipoLancamento::TP_SALDO_FINAL && $tpDescLancamento == \Application\Entity\DescricaoLancamento::ID_CAIXA_SALDO){
                            $valNuAno = $this->saldo->saldoCaixaMes['slTotal'];
                            $valNuMes = $this->saldo->saldoCaixaMes['slTotal'];
                        }elseif ($tpLancamento ==\Application\Entity\TipoLancamento::TP_SALDO_FINAL && $tpDescLancamento == \Application\Entity\DescricaoLancamento::ID_CONTA_CORRENTE_SALDO){
                            $sadoConta = $this->saldo->saldoConta[0];
                            $valNuAno = $sadoConta['saldo_mes'];
                            $valNuMes = $sadoConta['saldo_mes'];
                        }elseif ($tpLancamento ==\Application\Entity\TipoLancamento::TP_SALDO_FINAL && $tpDescLancamento == \Application\Entity\DescricaoLancamento::ID_CONTA_POUPANCA_SALDO){
                            $sadoConta = $this->saldo->saldoConta[1];
                            $valNuAno = $sadoConta['saldo_mes'];
                            $valNuMes = $sadoConta['saldo_mes'];
                        }else{
                            $valNuMes = $this->dadosBalancete[$contador]['val_nu_mes'];
                            $valNuAno = $this->dadosBalancete[$contador]['val_nu_ano'];
                        }
                        $valNuMes = $this->FormatarValorBalancete()->formatar($valNuMes);
                        $valNuAno = $this->FormatarValorBalancete()->formatar($valNuAno);

                        echo "
                            <tr>
                                <td>&nbsp;&nbsp;&nbsp;&nbsp;{$this->dadosBalancete[$contador]['co_desc_lancamento']} - {$this->dadosBalancete[$contador]['no_desc_lancamento']}</td>
                                <td>{$valNuMes}</td>
                                <td>{$valNuAno}</td>
                            </tr>";
                        $contador ++;
                    }
                }
            }
        }
        ?>
        </table>
    </body>
</html>